<html>
<head>
<title>Ogre::TerrainLayerSamplerElement Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html">TerrainLayerSamplerElement</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainLayerSamplerElement Struct Reference<div class="ingroups"><a class="el" href="group__Terrain.html">Terrain</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainLayerSamplerElement" -->
<p>Information about one element of a sampler / texture within a layer.  
 <a href="structOgre_1_1TerrainLayerSamplerElement.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainLayerSamplerElement-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#af5cd2fe83ba44cc3774091340e12da86">operator==</a> (const <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html">TerrainLayerSamplerElement</a> &amp;e) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#af648e0695b3baa049d586e82e2194e1f">TerrainLayerSamplerElement</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#ae471dccbe80e8580b943b3883e40b571">TerrainLayerSamplerElement</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> src, <a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">TerrainLayerSamplerSemantic</a> sem, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> elemStart, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> elemCount)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a96b4bc009cc033a8b6d5c32aaffd2bbd">source</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The source sampler index of this element relative to LayerDeclaration's list.  <a href="#a96b4bc009cc033a8b6d5c32aaffd2bbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">TerrainLayerSamplerSemantic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#afd77757659bd8b5f5672a34168071963">semantic</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The semantic this element represents.  <a href="#afd77757659bd8b5f5672a34168071963"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a82f5e76d137cfc061c99fa1458a2abb4">elementStart</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The colour element at which this element starts.  <a href="#a82f5e76d137cfc061c99fa1458a2abb4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a1f5544d50fad51034e72258400eb561b">elementCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of colour elements this semantic uses (usually standard per semantic)  <a href="#a1f5544d50fad51034e72258400eb561b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Information about one element of a sampler / texture within a layer. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00070">70</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af648e0695b3baa049d586e82e2194e1f"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement" ref="af648e0695b3baa049d586e82e2194e1f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#af648e0695b3baa049d586e82e2194e1f">Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00089">89</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae471dccbe80e8580b943b3883e40b571"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement" ref="ae471dccbe80e8580b943b3883e40b571" args="(uint8 src, TerrainLayerSamplerSemantic sem, uint8 elemStart, uint8 elemCount)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#af648e0695b3baa049d586e82e2194e1f">Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">TerrainLayerSamplerSemantic</a>&#160;</td>
          <td class="paramname"><em>sem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>elemStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>elemCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00090">90</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af5cd2fe83ba44cc3774091340e12da86"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::operator==" ref="af5cd2fe83ba44cc3774091340e12da86" args="(const TerrainLayerSamplerElement &amp;e) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::TerrainLayerSamplerElement::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html">TerrainLayerSamplerElement</a> &amp;&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00081">81</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>References <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00079">elementCount</a>, <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00077">elementStart</a>, <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00075">semantic</a>, and <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00073">source</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a1f5544d50fad51034e72258400eb561b"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::elementCount" ref="a1f5544d50fad51034e72258400eb561b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a1f5544d50fad51034e72258400eb561b">Ogre::TerrainLayerSamplerElement::elementCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of colour elements this semantic uses (usually standard per semantic) </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00079">79</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00081">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a82f5e76d137cfc061c99fa1458a2abb4"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::elementStart" ref="a82f5e76d137cfc061c99fa1458a2abb4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a82f5e76d137cfc061c99fa1458a2abb4">Ogre::TerrainLayerSamplerElement::elementStart</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The colour element at which this element starts. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00077">77</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00081">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="afd77757659bd8b5f5672a34168071963"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::semantic" ref="afd77757659bd8b5f5672a34168071963" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Terrain.html#gad6e8e88c8f2109b45648fd6f3ec00a84">TerrainLayerSamplerSemantic</a> <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#afd77757659bd8b5f5672a34168071963">Ogre::TerrainLayerSamplerElement::semantic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The semantic this element represents. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00075">75</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00081">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a96b4bc009cc033a8b6d5c32aaffd2bbd"></a><!-- doxytag: member="Ogre::TerrainLayerSamplerElement::source" ref="a96b4bc009cc033a8b6d5c32aaffd2bbd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="structOgre_1_1TerrainLayerSamplerElement.html#a96b4bc009cc033a8b6d5c32aaffd2bbd">Ogre::TerrainLayerSamplerElement::source</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source sampler index of this element relative to LayerDeclaration's list. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00073">73</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00081">operator==()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
